%define name BasiliskII
%define version 1.0_JIT_20130718
%define release 1

Summary: 68k Macintosh emulator
Name: %{name}
Version: %{version}
Release: 1.1
License: GPL
Group: Applications/Emulators
Source: %{name}_src_20130718git.tar.xz
Patch: %name-rom.patch
URL: http://gwenole.beauchesne.info/projects/basilisk2/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: esound-devel SDL-devel gcc-c++ gtk2-devel
BuildRequires: autoconf automake xz

%description
Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
you to run 68k MacOS software on you computer, even if you are using a
different operating system. However, you still need a copy of MacOS and
a Macintosh ROM image to use Basilisk II.

Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor

%prep
%setup -q -n %name
%patch

%build
cd src/Unix
NO_CONFIGURE=1 ./autogen.sh
%configure \
	--enable-sdl-video --enable-sdl-audio \
	--enable-jit-compiler --disable-vosf
make %{?_smp_mflags}

%install
cd src/Unix
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/lib/BasiliskII

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README TECH TODO
%{_bindir}/BasiliskII
%{_mandir}/man1/BasiliskII.1*
%dir %_datadir/BasiliskII
%config %{_datadir}/BasiliskII/keycodes
%config %{_datadir}/BasiliskII/fbdevices
%config %{_datadir}/BasiliskII/tunconfig
%dir /usr/lib/BasiliskII
%changelog
* Wed Jul 17 2013 fstrba@suse.com
- Upgrade to recent git snapshot
  * fixes Factory build of JIT compiler
- Drop unneeded patches
* Wed Jul 17 2013 fridrich.strba@suse.com
- Fix build with new autotools
- Fix name conflict with bits/fcntl-linux.h declaration of
  struct file_handle
- Enable parallel build to speed up a bit
* Tue Sep  8 2009 uli@suse.de
- update -> 20090908cvs
- enabled GTK2 UI
* Mon Nov 10 2008 uli@suse.de
- squelch sentinel warning
